<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'restaurant',

    /*
     * Package.
     */
    'package'   => 'feedback',

    /*
     * Modules.
     */
    'modules'   => ['feed_back'],

    
    'feed_back'       => [
        'model' => [
            'model'                 => \Restaurant\Feedback\Models\FeedBack::class,
            'table'                 => 'feed_backs',
            'presenter'             => \Restaurant\Feedback\Repositories\Presenter\FeedBackPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'feed_back',  'score',  'restaurent_id',  'location_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'feedback/feed_back',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Restaurant',
            'package'   => 'Feedback',
            'module'    => 'FeedBack',
        ],

    ],
];
