<?php

// API routes  for feed_back
Route::prefix('{guard}/feedback')->group(function () {
    Route::get('feed_back/form/{element}', 'FeedBackAPIController@form');
    Route::resource('feed_back', 'FeedBackAPIController');
});

// Public routes for feed_back
Route::get('feedback/', 'FeedBackPublicController@index');
Route::get('feedback/{slug?}', 'FeedBackPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for feedback
            Route::prefix('{guard}/feedback')->group(function () {
                Route::get('feed_back/form/{element}', 'FeedBackAPIController@form');
                Route::apiResource('feed_back', 'FeedBackAPIController');
            });
            // Public routes for feedback
            Route::get('feedback/FeedBack', 'FeedBackPublicController@getFeedBack');
        }
    );
}

