<?php

// web routes  for feed_back
Route::prefix('{guard}/feedback')->group(function () {
    Route::resource('feed_back', 'FeedBackResourceController');
});

// Public routes for feed_back
Route::get('feedback/', 'FeedBackPublicController@index');
Route::get('feedback/{slug?}', 'FeedBackPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'FeedBackResourceController');
            });
            // Public routes for pages
            Route::get('feedback/', 'FeedBackPublicController@index');
            Route::get('feedback/{slug?}', 'FeedBackPublicController@show');
        }
    );
}

