<?php

namespace Restaurant\Feedback;

use User;

class Feedback
{
    /**
     * $feed_back object.
     */
    protected $feed_back;

    /**
     * Constructor.
     */
    public function __construct(\Restaurant\Feedback\Interfaces\FeedBackRepositoryInterface $feed_back)
    {
        $this->feed_back = $feed_back;
    }

    /**
     * Returns count of feedback.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.feed_back.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->feed_back->pushCriteria(new \Litepie\Restaurant\Repositories\Criteria\FeedBackUserCriteria());
        }

        $feed_back = $this->feed_back->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('feedback::' . $view, compact('feed_back'))->render();
    }
}
