<?php

namespace Restaurant\Feedback\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class FeedBackTransformer extends TransformerAbstract
{
    public function transform(\Restaurant\Feedback\Models\FeedBack $feed_back)
    {
        return [
            'id'                => $feed_back->getRouteKey(),
            'key'               => [
                'public'    => $feed_back->getPublicKey(),
                'route'     => $feed_back->getRouteKey(),
            ], 
            'feed_back'         => $feed_back->feed_back,
            'score'             => $feed_back->score,
            'restaurent_id'     => $feed_back->restaurent_id,
            'location_id'       => $feed_back->location_id,
            'deleted_at'        => $feed_back->deleted_at,
            'url'               => [
                'public'    => trans_url('feedback/'.$feed_back->getPublicKey()),
                'user'      => guard_url('feedback/feed_back/'.$feed_back->getRouteKey()),
            ], 
            'status'            => trans('app.'.$feed_back->status),
            'created_at'        => format_date($feed_back->created_at),
            'updated_at'        => format_date($feed_back->updated_at),
        ];
    }
}